function [MOG,DEF,sn,sd]=filtre_page1(fe,sni,sdi)

%   Permet de dfinir :
%           - fe
%           - le type de filtre (RIF ou RII)
%           - le type d'tude (gnrateur en entre ou rponse impulsionnelle)
%
%   MOG : matrice des objets graphiques (matrices 4 lignes x 7 colonnes)
%           ligne 1 : "handles" des cases EDIT
%           ligne 2 : "handles" de type TEXT
%           ligne 3 : "handles" des POPUP
%           ligne 4 : "handles" des ANNOTATIONS

stop_simulation_tournant_eventuellement;
MOG=zeros(3,8);
DEF=zeros(4,1);
sn=sni;
sd=sdi;
figure(1)
e=ecran;
if e(1)<0
    e(1)=0;
end;
set(gcf,'position',e)
set(gcf,'unit','normalized','color','w')
grid off
set(gca,'xcolor','w','ycolor','w')
text(0.5,0.95,'TYPE DE FILTRE :','color','r','fontunits','normalized','fontsize',0.03,'fontweight','bold',...
    'horizontalalignment','center','verticalalignment','middle')
type_filtre=0;
if isempty(fe)   
    fe=1e4;
end;
fes=num2str(fe);
te=1/fe;
sfreq='Frquence d''chantillonnage Fe (Hz) =';           
MOG(2,1)=uicontrol(gcf,'style','text','unit','normalized',...
		'position',[0.1 0.7 0.4 0.05],'backgroundcolor','y',...
	           'foregroundcolor','b','string',sfreq,'fontunits','normalized','fontsize',0.5,'fontweight','bold');
MOG(1,1)=uicontrol(gcf,'style','edit','unit','normalized',...
		'position',[0.6 0.7 0.3 0.05],'backgroundcolor','y',...
	    'foregroundcolor','b','max',1,...
		'string',fes,'fontunits','normalized','fontsize',0.5,'fontweight','bold',...
		'callback','fes=get(MOG(1,1),''string'');fe=str2num(fes);DEF(1)=1/fe;');

%****************** Menu droulant (popup)
%****************** choix du type de filtre :
%******************         RIF
%******************         RII
%******************         Sauv    (filtre sauv sur disuqe)
texte={'';'RIF';'RII';'Sauv'};  
MOG(2,4)=uicontrol(gcf,'style','text','unit','normalized',...
		            'position',[0.1 0.35 0.4 0.05],'backgroundcolor','w',...
	                'foregroundcolor','r','fontunits','normalized','fontsize',0.5,'fontweight','bold','string','TYPE DE FILTRE');                
MOG(3,1)=uicontrol(gcf,'style','popupmenu','unit','normalized',...
                    'position',[0.1,0.3,0.4,0.05],'backgroundcolor','y',...
                    'foregroundcolor','b','fontunits','normalized','fontsize',0.5,'fontweight','bold','string',texte,...
                    'callback','type_filtre=get(MOG(3,1),''value'');DEF(2)=type_filtre;');
%**************** Bouton "OK" de validation
boutonok=uicontrol(gcf,'style','push','unit','normalized',...
		'position',[0.6 0.1 0.1 0.1],...
	    'string','OK','foregroundcolor','r','fontunits','normalized','fontsize',0.3,'fontweight','bold',...
        'callback','[MOG,DEF,sn,sd,NUM,DEN]=avertissement_choix(MOG,DEF,sn,sd);');
%Le bouton OK lance la fonction "avertissement_choix" : on ne peut pas continuer
%si on n'a pas choisi le type de filtre
%
%
%*************** bouton "FIN" : sortie du logiciel    
boutonfin=uicontrol(gcf,'style','push','unit','normalized',...
		'position',[0.1 0.1 0.1 0.1],...
	    'string','FIN','foregroundcolor','r','fontunits','normalized','fontsize',0.3,'fontweight','bold',...
         'callback','fin;stop_simulation_tournant_eventuellement;cd ..;liste_logiciels');
   

