function [y,t]=FFT_TFDINV(Y,fe,option)

% TFDINV = Transforme de FOURIER discrte inverse
%          (utilisation d'un algorithme FFT)
%
%          Domaine spectral -----> Domaine temporel
%
%       SYNTAXE : [y,t]=TFDINV(Y,fe,option)
%
%                 Y = signal dont on veut calculer la TFD inverse
%                 fe = frquence d'chantillonnage
%                 y = TFD inverse de Y
%                 t = instants d'chentillonnage 
%                     ( t = n.te = n/fe)
%                 option : paramtre facultatif :  'r' ou sans option : spectre non centr
%                                                                 'c' : spectre centr sur f=0
%
%       REMARQUE : yp=tfdinv(tfd(y,te),1/te,'c'); redonne le signal y : y=yp
%
%(P. Le Bars - 2002)

N=length(Y);
[ligne col]=size(Y);
if ligne>col
    Y=Y.';
end;    
if nargin==2
	option=[];
end;
te=1/fe;
if (nargin==2)|strcmp(option,'r')
    yp=[Y,Y(1)];
    M=length(yp);
    if round(M/2)~=M/2
        somme=N;
        yp=[yp(1:N/2),yp(N/2+2:end)];
    else
        somme=N+1;
    end;
	ypr=fliplr(yp);
    ymax=max(abs(yp));
	test=(abs(conj(ypr)-yp)<=1e-6*ymax);
	if sum(test)==somme
		yc=ifft(Y,N)*N;
		y=real(yc);
		t=(0:N-1)*te;
    else
        v=axis;
        text(mean(v(1:2)),mean(v(3:4)),'SPECTRE NON STMETRIQUE !','fontsize',18,'fontweight','bold','horizontalalignment','center')
		error('Spectre non symtrique ');
	end;
elseif (nargin==3) & strcmp(option,'c')
        YP=ifftshift(Y);
        yp=[YP,YP(1)] ;
        M=length(yp);
    if round(M/2)~=M/2
        somme=N;
        yp=[yp(1:N/2),yp(N/2+2:end)];
    else
        somme=N+1;
    end;
        ypr=fliplr(yp);
        ymax=max(abs(yp));
	    test=(abs(conj(ypr)-yp)<=1e-6*ymax);
	    if sum(test)==somme
		    yc=ifft(YP,N)*N;
		    y=real(yc);
		    t=(0:N-1)*te;
        else
            figure(2)
            e=ecran;
            if e(1)<0
                e(1)=0;
            end;
            set(gcf,'position',e)
            set(gcf,'color','w')
            hold on
            v=axis;
        text(mean(v(1:2)),mean(v(3:4)),'SPECTRE NON SYMETRIQUE !','fontsize',18,'color','r',...
            'fontweight','bold','horizontalalignment','center')
		    error('Spectre non symtrique ');
	    end;
	else
	error('la fonction TFDINV ncessite 2 arguments !');
end;
