/*****************************************************************************
******************************************************************************
*
*               Include file to be included by models compiled for
*               the Real-Time Windows Target.
*
*               $Revision: 1.14.2.2 $
*               $Date: 2007/06/04 21:15:34 $
*               $Author: batserve $
*
*               Copyright 1994-2007 The MathWorks, Inc.
*
******************************************************************************
*****************************************************************************/


#ifndef __RTWINTGT_H_INCLUDED
#define __RTWINTGT_H_INCLUDED


/* include types common for generated target code and the loader */
#include "rtwintyp.h"


/* Real-Time Windows Target library function prototypes */
#ifdef __cplusplus
extern "C"
{
#endif

int RTBIO_DriverIO(int drv, IODEVICE device, DRVIOACTION action, int n, const int* ch, double* val, const void* parm);

#ifdef __cplusplus
}
#endif


/* union to access mixed-datatype structures */
typedef union
{
  real_T*    p_real_T;
  real32_T*  p_real32_T;
  int8_T*    p_int8_T;
  uint8_T*   p_uint8_T;
  int16_T*   p_int16_T;
  uint16_T*  p_uint16_T;
  int32_T*   p_int32_T;
  uint32_T*  p_uint32_T;
  boolean_T* p_boolean_T;
} RTWin_ANYTYPEPTR;


/* macros for some math functions not in the RTWT library */
#define asin(x) atan2( (x), sqrt(1-(x)*(x)) )
#define acos(x) atan2( sqrt(1-(x)*(x)), (x) )
#define cosh(x) ( (exp(x)+exp(-(x)))/2 )
#define sinh(x) ( (exp(x)-exp(-(x)))/2 )
#define tanh(x) ( 1-(2/(exp(2*(x))+1)) )


#endif // __RTWINTGT_H_INCLUDED
