function spectredb(x,y,precis,coul, epais)
% SPECTREDB : Affichage d'un spectre en dB
%	    Syntaxe spectredB(x,y,precis,coul,epais)
%	            x = vecteur frquences
%               y= vecteur amplitude
%               precis = prcision = limite infrieure du gain
%                           (par exemple si precis = 1e-3, Gmin = - 60 dB)
%               coul = couleur d'affichage (facultatif : 'b' par dfaut)
%               epais = paisseur trait (facultatif : 0.5 par dfaut)
%
%(P. Le Bars - 2005)
%
switch nargin
    case 1
        disp('erreur : la fonction SPECTREDB ncessite au moins 2 arguments !');
    case 2
        precis=1e-3;
        coul='b';
        epais=0.5;
    case 3
        coul='b';
        epais=0.5;
    case 4
        epais=0.5;
end;
k=find(abs(y)<=precis);
y(k)=precis;
n=length(y);
n3=3*n;
y3=ones(1,n3)*20*log10(precis);
y3(2:3:n3)=20*log10(abs(y));
x3=zeros(1,n3);
x3(1:3:n3)=x;
x3(2:3:n3)=x;
x3(3:3:n3)=x;
plot(x3,y3,coul,'linewidth',epais)
set(gcf,'color','w')
