figure(2)
set(gcf,'position',ecran,'unit','normalized','color','w','name','Paramtres du filtre tudi')
set(gca,'xcolor','w','ycolor','w')
text(0.5,0.9,'PARAMETRES CARACTERISTIQUES DU FILTRE ETUDIE','fontunits','normalized','fontsize',0.04,'fontweight','bold',...
    'color','r','horizontalalignment','center','verticalalignment','middle')
text(0.05,0.8','Type de filtre : ','fontunits','normalized','fontsize',0.03,'fontweight','bold',...
    'color','k','horizontalalignment','left','verticalalignment','middle')
text(0.05,0.75','Approximation : ','fontunits','normalized','fontsize',0.03,'fontweight','bold',...
    'color','k','horizontalalignment','left','verticalalignment','middle')
text(0.05,0.7','Bande passante : ','fontunits','normalized','fontsize',0.03,'fontweight','bold',...
    'color','k','horizontalalignment','left','verticalalignment','middle')
text(0.05,0.65','Bande attnue : ','fontunits','normalized','fontsize',0.03,'fontweight','bold',...
    'color','k','horizontalalignment','left','verticalalignment','middle')
text(0.05,0.6','Attnuation maximale : ','fontunits','normalized','fontsize',0.03,'fontweight','bold',...
    'color','k','horizontalalignment','left','verticalalignment','middle')
text(0.05,0.55','Attnuation minimale : ','fontunits','normalized','fontsize',0.03,'fontweight','bold',...
    'color','k','horizontalalignment','left','verticalalignment','middle')

text(0.05,0.5','Slectivit : ','fontunits','normalized','fontsize',0.03,'fontweight','bold',...
    'color','k','horizontalalignment','left','verticalalignment','middle')

switch type_de_filtre
case 'PL'
    s_type='Passe-Bas';
    selectivite=FP/FA;
    s_sel=num2str(selectivite);
    s_pas=['FP = ',num2str(FP),' Hz'];
    s_att=['FA = ',num2str(FA),' Hz'];
    s_attmin=['Amin = ',num2str(Amin),' dB'];
    s_attmax=['AMax = ',num2str(Amax),' dB'];
case 'PH'
    s_type='Passe-Haut';
    selectivite=FA/FP;
    s_sel=num2str(selectivite);
    s_pas=['FP = ',num2str(FP),' Hz'];
    s_att=['FA = ',num2str(FA),' Hz'];
    s_attmin=['Amin = ',num2str(Amin),' dB'];
    s_attmax=['AMax = ',num2str(Amax),' dB'];
case 'PB'
    s_type='Passe-Bande';
    selectivite=(FP(2)-FP(1))/(FA(2)-FA(1));
    FO=sqrt(FP(1)*FP(2));
    Bde_rel=(FP(2)-FP(1))/FO;
    s_sel=num2str(selectivite);
    s_fo=['F0 = ',num2str(FO),' Hz'];
    s_bde=['B = ',num2str(Bde_rel)];
    s_pas=['FP- = ',num2str(FP(1)),' Hz','  ;  FP+ = ',num2str(FP(2)),' Hz'];
    s_att=['FA- = ',num2str(FA(1)),' Hz','  ;  FA+ = ',num2str(FA(2)),' Hz'];
    s_attmin=['Amin = ',num2str(Amin),' dB'];
    s_attmax=['AMax = ',num2str(Amax),' dB'];
    text(0.05,0.45','Frquence centrale : ','fontunits','normalized','fontsize',0.03,'fontweight','bold',...
    'color','k','horizontalalignment','left','verticalalignment','middle')
    text(0.05,0.4','Bande passante relative : ','fontunits','normalized','fontsize',0.03,'fontweight','bold',...
    'color','k','horizontalalignment','left','verticalalignment','middle')

case 'RB'
    s_type='Passe-Bande';
    selectivite=(FA(2)-FA(1))/(FP(2)-FP(1));
    FO=sqrt(FP(1)*FP(2));
    Bde_rel=(FA(2)-FA(1))/FO;
    s_sel=num2str(selectivite);
    s_fo=['F0 = ',num2str(FO),' Hz'];
    s_bde=['Bande =  ',num2str(Bde_rel)];
    s_pas=['FP- = ',num2str(FP(1)),' Hz','  ;  FP+ = ',num2str(FP(2)),' Hz'];
    s_att=['FA- = ',num2str(FA(1)),' Hz','  ;  FA+ = ',num2str(FA(2)),' Hz'];
    s_attmin=['Amin = ',num2str(Amin),' dB'];
    s_attmax=['AMax = ',num2str(Amax),' dB'];  
    text(0.05,0.45','Frquence centrale : ','fontunits','normalized','fontsize',0.03,'fontweight','bold',...
    'color','k','horizontalalignment','left','verticalalignment','middle')
    text(0.05,0.4','Bande attnue relative : ','fontunits','normalized','fontsize',0.03,'fontweight','bold',...
    'color','k','horizontalalignment','left','verticalalignment','middle')

end;
switch approximation
case 'butterworth'
    s_approx='Butterworth';
case 'chebychef'
    s_approx='Chebychev'
case 'cauer'
    s_approx='Cauer';
case 'bessel'
    s_approx='Bessel'
end;    
text(0.30,0.8',s_type,'fontunits','normalized','fontsize',0.03,'fontweight','bold',...
    'color','k','horizontalalignment','left','verticalalignment','middle')
text(0.30,0.75',s_approx,'fontunits','normalized','fontsize',0.03,'fontweight','bold',...
    'color','k','horizontalalignment','left','verticalalignment','middle')
text(0.30,0.7',s_pas,'fontunits','normalized','fontsize',0.03,'fontweight','bold',...
    'color','k','horizontalalignment','left','verticalalignment','middle')
text(0.30,0.65',s_att,'fontunits','normalized','fontsize',0.03,'fontweight','bold',...
    'color','k','horizontalalignment','left','verticalalignment','middle')
text(0.30,0.6',s_attmax,'fontunits','normalized','fontsize',0.03,'fontweight','bold',...
    'color','k','horizontalalignment','left','verticalalignment','middle')
text(0.30,0.55',s_attmin,'fontunits','normalized','fontsize',0.03,'fontweight','bold',...
    'color','k','horizontalalignment','left','verticalalignment','middle')
text(0.30,0.5',s_sel,'fontunits','normalized','fontsize',0.03,'fontweight','bold',...
    'color','k','horizontalalignment','left','verticalalignment','middle')
if strcmp(type_de_filtre,'PB')||strcmp(type_de_filtre,'RB')
    text(0.30,0.45',s_fo,'fontunits','normalized','fontsize',0.03,'fontweight','bold',...
    'color','k','horizontalalignment','left','verticalalignment','middle')
    text(0.30,0.4',s_bde,'fontunits','normalized','fontsize',0.03,'fontweight','bold',...
    'color','k','horizontalalignment','left','verticalalignment','middle')

end;
bouton2=uicontrol(gcf,'style','push','unit','normalized',...
		'position',[0.35 0.3 0.05 0.05],...
	          'string','OK','callback','element;');
bouton3=uicontrol(gcf,'style','push','unit','normalized',...
		'position',[0.15 0.3 0.05 0.05],...
	          'string','<-','callback','delete(gcf);NUM=[];DEN=[];return');
          
