function [MOG,DEF,G]=lance_tt(MOGi,DEFi,Gi)


MOG=MOGi;
DEF=DEFi;
G=Gi;
set(MOG(8,1),'KeyPressFcn',{@lance_enregistrement,MOG,DEF});
if MOG(10,2)~=0
    delete(MOG(10,2));
    MOG(10,2)=0;
end;
repertoire=pwd;
cd ..
A=load('parametres_carte.mat');
cd(repertoire)
etat=get_param(gcs,'simulationstatus');
if strcmp(etat,'stopped')
    modele=get_param(gcs,'name');
    bloc=[modele,'/Mux'];
    nb_voies=str2double(get_param(bloc,'inputs'));
%***********************************************
% cration du schma par programme
% nb voies MUX = nb voies
% on ajoute (ou on supprime) les laisons
%***********************************************
    if nb_voies>DEF(1)
        for k=nb_voies:-1:DEF(1)+1
            bloc1=['Sum',num2str(k-1),'/1'];
            bloc=['Mux/',num2str(k)];
            delete_line(gcs,bloc1,bloc);   
        end;
        set_param(bloc,'inputs',num2str(DEF(1)));
    elseif nb_voies<DEF(1)
        set_param(bloc,'inputs',num2str(DEF(1)));
        for k=nb_voies+1:1:DEF(1)
            bloc1=['Sum',num2str(k-1),'/1'];
            bloc=['Mux/',num2str(k)];
            add_line(gcs,bloc1,bloc);   
        end;
    end;
    if DEF(5)    %*******synchro*********
        constante=[modele,'/Constant9'];
        set_param(constante,'value','1');
        niveau=get(MOG(1,4),'string');
        DEF(6)=str2double(niveau);
        constante=[modele,'/Constant8'];
        set_param(constante,'value',niveau);
        sens=get(MOG(1,5),'string');
        DEF(7)=str2double(sens);
        constante=[modele,'/Constant7'];
        set_param(constante,'value',sens);
        retard=[modele,'/Bloc_synchro/Unit Delay'];
        if DEF(7)>0
            set_param(retard,'X0',num2str(A.S.entree.val_max));
        else
            set_param(retard,'X0',num2str(A.S.entree.val_min));
        end;
        set_param(gcs,'extmodetrigtype','signal')
        set_param(gcs,'extmodetrigport','1')
        set_param(gcs,'extmodetrigdirection','rising')
        set_param(gcs,'extmodetriglevel','0.5')
    
    else
        constante=[modele,'/Constant9'];
        set_param(constante,'value','0');
        set_param(gcs,'extmodetrigtype','manual')
    end;   
    calibre_y=[2,1,0.5,0.2,0.1,0.05,0.02,1];
% Rglage des gains en fonction des calibres    
    for k=1:1:DEF(1)
            cal_y=get(MOG(1+k,2),'value');
            if cal_y==1
                cal_y=9;
            end;
            if cal_y~=9
                G(k)=1/calibre_y(cal_y-1);
                bloc=[get_param(gcs,'name'),'/Gain'];
                if k~=1
                    bloc=[bloc,num2str(k-1)];
                end;
                set_param(bloc,'Gain',num2str(G(k)));
            end;
    end;
    bdt=[20e-3,50e-3,0.1,0.2,0.5,1,2,5,10,20];
    cal_bdt=get(MOG(1,2),'value')-1;
% choix de la priode d'chantillonnage    
    if cal_bdt<=5
        DEF(4)=1e-3;
    else
        DEF(4)=50e-3;
    end;
    if cal_bdt==1
        DEF(2)=1;
        DEF(3)=1001;
    else
        DEF(2)=bdt(cal_bdt)*20;
        DEF(3)=DEF(2)/DEF(4)+1;
    end;
    set_param(gcs,'fixedstep',num2str(DEF(4)))
% rglage du scope    
    set(MOG(6,1),'Xlim',[0,DEF(2)])
    oscillo=[modele,'/Scope'];
    set_param(oscillo,'timerange',num2str(DEF(2)));
    set_param(oscillo,'sampletime',num2str(DEF(4)));
% dfinition te pour tous les blocs constant    
    for k=1:1:9
        constante=[modele,'/Constant',num2str(k)];
        set_param(constante,'sampletime',num2str(DEF(4)));
    end;
    constante1=[modele,'/Constant1'];
    set_param(constante1,'value',num2str(DEF(3)));
    filtre=[modele,'/Filtre'];
    for k=1:1:min(DEF(1),4)
        set(MOG(1+k,2),'Enable','on');       
    end
% rglage des filtres    
    set_param(filtre,'te',num2str(DEF(4)));
    for k=2:1:4
        filtre=[modele,'/Filtre',num2str(k-1)];
        set_param(filtre,'te',num2str(DEF(4)));
    end;
    bloc=[modele,'/Bloc_synchro'];
    set_param(bloc,'te',num2str(DEF(4)));
    for k=1:1:4
        bloc=[modele,'/Analog Input'];
        if k~=1
            bloc=[bloc,num2str(k-1)];
        end;
        set_param(bloc,'sampletime',num2str(DEF(4)));
    end;
    for k=1:1:DEF(1)
        v=get(MOG(12,2+k),'value');
        if v==3
            Nb=get(MOG(11,2+k),'string');
        else
            Nb='1';
        end;
        filtre=[modele,'/Filtre'];
        if k~=1
            filtre=[filtre,num2str(k-1)];
        end;
        set_param(filtre,'N',Nb);
    end;
   
    if faut_il_recompiler
                 MOG(7,1)=uicontrol(MOG(1,6),'style','text','unit','normalized',...
		            'position',[0.1,0.01,0.8,0.05],'backgroundcolor','w',...
	                'foregroundcolor','r','fontunits','normalized','fontsize',0.4,'fontweight','bold','string','COMPILATION EN COURS');
                rtwbuild(gcs);
                delete(MOG(7,1))
    end;
    set_param(gcs,'SimulationCommand','connect');  
end;


for k=1:1:min(DEF(1),4)
    y1=0.26;
    y2=0.23;
    d=1;
   
   p_p=[0.25*(k-d)+0.125,y1,0.05,0.03]; 
   cal_y=get(MOG(1+k,2),'value');
% rglage gains si VAR   
   if cal_y==9
        MOG(7,2+k)=uicontrol(MOG(1,6),'style','push','unit','normalized','position',p_p,'userdata',k,...
                    'backgroundcolor','w','string',['+10%'],'foregroundcolor','r','fontunits','normalized','fontsize',0.5,'fontweight','bold',...
                    'callback','K=get(gco,''userdata'');G=regle_gain(7,K,G);'); 
        p_p=[0.25*(k-d)+0.125,y2,0.05,0.03]; 
        MOG(8,2+k)=uicontrol(MOG(1,6),'style','push','unit','normalized','position',p_p,'userdata',k,...
                    'backgroundcolor','w','string',['-10%'],'foregroundcolor','r','fontunits','normalized','fontsize',0.5,'fontweight','bold',...
                    'callback','K=get(gco,''userdata'');G=regle_gain(8,K,G);');   
        p_p=[0.25*(k-d)+0.175,y1,0.05,0.03]; 
        MOG(9,2+k)=uicontrol(MOG(1,6),'style','push','unit','normalized','position',p_p,'userdata',k,...
                    'backgroundcolor','w','string',['+0,5%'],'foregroundcolor','r','fontunits','normalized','fontsize',0.5,'fontweight','bold',...
                    'callback','K=get(gco,''userdata'');G=regle_gain(9,K,G);'); 
        p_p=[0.25*(k-d)+0.175,y2,0.05,0.03]; 
        MOG(10,2+k)=uicontrol(MOG(1,6),'style','push','unit','normalized','position',p_p,'userdata',k,...
                    'backgroundcolor','w','string',['-0,5%'],'foregroundcolor','r','fontunits','normalized','fontsize',0.5,'fontweight','bold',...
                    'callback','K=get(gco,''userdata'');G=regle_gain(10,K,G);');
         p_p=[0.25*(k-d)+0.05,0.23,0.05,0.03];
        MOG(5+k,2)=uicontrol(MOG(1,6),'style','text','unit','normalized','position',p_p,...
                    'backgroundcolor','w','string','Calibre','foregroundcolor','b','fontunits','normalized','fontsize',0.6,'fontweight','bold');
   else
% suppression des uicontrol inutiles       
       if MOG(7,2+k)~=0
           for kp=7:1:10
                delete(MOG(kp,2+k))
                MOG(kp,2+k)=0;
           end;
            p_p=[0.25*(k-d)+0.05,0.23,0.05,0.03];
        MOG(5+k,2)=uicontrol(MOG(1,6),'style','text','unit','normalized','position',p_p,...
                    'backgroundcolor','w','string','Calibre','foregroundcolor','w','fontunits','normalized','fontsize',0.6,'fontweight','bold');
       end;
   end;
   MOG(7,1)=uicontrol(MOG(1,6),'style','text','unit','normalized',...
		            'position',[0.1,0.01,0.8,0.05],'backgroundcolor','w',...
	                'foregroundcolor','r','fontunits','normalized','fontsize',0.4,'fontweight','bold','string','POUR LANCER L''ENREGISTREMENT APPUYER SUR LA BARRE ESPACE');          
end;



